[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: RFS: QA Upload - muine 0.8.8-1 - Simple playlist based music player



On Wed, 20 Feb 2008 11:21:10 -0500
Barry deFreese <bddebian@comcast.net> wrote:

> > from changelog:
> >   
> >> * Remove -X revisions on build-depends.
> > Huh? I can see that removing -1 is most often a good idea, but -3?
> >
> It was my understanding that build-depending on any Debian revision was 
> a bad idea? 

Not necessarily. A library could well have a serious bug that is fixed
in Debian before being fixed upstream and the program may need the
fixed version. e.g. an unintended API breakage can be reverted. In that
case, 1.2.3-1 is borked but 1.2.3-2 is fine (as is 1.2.2-8 and,
hopefully, 1.2.4-1). Other candidates can be broken pkgconfig files,
out of date autotools stuff, transitions in build tools
themselves . . . 

Generally, though, Build-Depends versions come directly from whatever
build system is used upstream (and can be omitted completely if Debian
does not have anything older than the minimum required version
specified in the build system - that includes testing, stable and
oldstable so is quite rare).

> Why would -3 be any better than -1?  There shouldn't be any 
> API/ABI changes between Debian revisions should there? 

Should be - no. Can be - yes, usually trying to fix a mistake upstream.

> Obviously, I 
> guess it makes sense if there was some specific bug fix but it still 
> seems like a bad idea, but what do I know? :)

Unless there is a *specific* reason for the Debian revision to be
included, it should be omitted. Packages that do include the revision
should not be assumed to be buggy merely due to the presence of such a
revision although it is sensible to check that the revision is
actually necessary. 

-- 

Neil Williams
=============
http://www.data-freedom.org/
http://www.nosoftwarepatents.com/
http://www.linux.codehelp.co.uk/

Attachment: pgpOhjKodJqUA.pgp
Description: PGP signature


Reply to: